Debian Bug report logs - #239523
ITP: tupim -- Tom's Unique PIM - record-based data entry for personal databases

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Tom <40311.nospam@comcast.net>

Date: Tue, 23 Mar 2004 06:48:01 UTC

Severity: wishlist

Done: David Moreno Garza <damog@merkel.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#239523; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tom <40311.nospam@comcast.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tom <40311.nospam@comcast.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pim -- Generic record-based data entry for personal databases
Date: Mon, 22 Mar 2004 22:31:03 -0800
Package: wnpp
Severity: wishlist

* Package name    : pim
  Version         : 1.4.1
  Upstream Author : Tom Ballard <tbpub@hotmail.com>
* URL             : http://sourceforge.net/projects/pim-tb
* License         : GPL
  Description     : Generic record-based data entry for personal databases

Hierarchical personal data manager. Schemas and data are stored in XML.
Uses GTK2. Designed for single users, small, personal databases.

///

Currently a useful list manager that implements table lookups / referential integrity, 
stores data/schemas in XML, and doesn't require a server. I use it to keep
track of my TODO lists, Books I want, espcially useful are my Account #s
for various companies and the address/phone on file they have for me, my
credit card receipts, my .flag collection, and my calorie intake.  When combined with 
xsltproc to process the data it is very powerful.  Long-term I hope to make it a 
Document Management and/or ERP client.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.4-ck1
Locale: LANG=en_US, LC_CTYPE=en_US



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#239523; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@srce.hr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 239523@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@srce.hr>
To: Tom <40311.nospam@comcast.net>, 239523@bugs.debian.org
Subject: Re: Bug#239523: ITP: pim -- Generic record-based data entry for personal databases
Date: Tue, 23 Mar 2004 10:11:52 +0100
On Mon, Mar 22, 2004 at 10:31:03PM -0800, Tom wrote:
> Package: wnpp
> Severity: wishlist
> 
> * Package name    : pim
>   Description     : Generic record-based data entry for personal databases
> 
> Hierarchical personal data manager. Schemas and data are stored in XML.
> Uses GTK2. Designed for single users, small, personal databases.

Surely it's a too generic name nevertheless?

-- 
     2. That which causes joy or happiness.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#239523; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tom <40311.nospam@comcast.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #15 received at 239523@bugs.debian.org (full text, mbox):

From: Tom <40311.nospam@comcast.net>
To: Josip Rodin <joy@srce.hr>
Cc: 239523@bugs.debian.org
Subject: Re: Bug#239523: ITP: pim -- Generic record-based data entry for personal databases
Date: Tue, 23 Mar 2004 01:26:16 -0800
On Tue, Mar 23, 2004 at 10:11:52AM +0100, Josip Rodin wrote:
> On Mon, Mar 22, 2004 at 10:31:03PM -0800, Tom wrote:
> > Package: wnpp
> > Severity: wishlist
> > 
> > * Package name    : pim
> >   Description     : Generic record-based data entry for personal databases
> > 
> > Hierarchical personal data manager. Schemas and data are stored in XML.
> > Uses GTK2. Designed for single users, small, personal databases.
> 
> Surely it's a too generic name nevertheless?

Yeah, but I can't think of a better name, short of sticking my initials 
on the end, which is what I did at sourceforge (although the "pim" 
project is old and never released files.)

I can't think of a pragmatic approach.  My current inclination is to 
name the package "pim-tb" and still have the binary just be called 
"pim", and it could conflict with any future package with also provides 
/usr/bin/pim.

Alternately, I could name the binary "/usr/bin/pim_tb", or just try to 
come up with completely different unique name.

What's the most pragmatic thing to do?



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#239523; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Number Six <40311.nospam@comcast.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #20 received at 239523@bugs.debian.org (full text, mbox):

From: Number Six <40311.nospam@comcast.net>
To: debian-mentors@lists.debian.org
Cc: 239523@bugs.debian.org
Subject: "pim" is too generic for a package name
Date: Tue, 23 Mar 2004 02:13:17 -0800
I firmly believe the ancient pagan, hebrew, and Christian tradition that 
To Know Something's Name Is To Control It.

My package is named pim.  It might be aleithia (gr. "truth", literally 
"unhidden; to shine light on") or it might be tbpim or it might be tdb 
(Tom Ballard Database) or it might be pdb (Personal Database) or it 
might be aleithia-pim.

But right now the best name for the binary is pim.  "pim d" - edit my 
data.  "pim c" - edit my credit cards.  "pim w" - track my weight.

Can I name the package something like {pim-tb,tbpim,aleithia}, still 
name the binary /usr/bin/pim, and conflict with whoever else just has to 
be called pim?

Later on it *may* grow into something more multiuser and substantial, at 
which point it will no longer be pim.

What should I do?



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#239523; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Pascal Hakim <pasc@redellipse.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #25 received at 239523@bugs.debian.org (full text, mbox):

From: Pascal Hakim <pasc@redellipse.net>
To: Tom <40311.nospam@comcast.net>, 239523@bugs.debian.org
Subject: Re: Bug#239523: ITP: pim -- Generic record-based data entry for personal databases
Date: Tue, 23 Mar 2004 22:58:10 +1100
[Message part 1 (text/plain, inline)]
On Tue, 2004-03-23 at 20:26, Tom wrote:
> On Tue, Mar 23, 2004 at 10:11:52AM +0100, Josip Rodin wrote:
> > Surely it's a too generic name nevertheless?
> 
> Yeah, but I can't think of a better name, short of sticking my initials 
> on the end, which is what I did at sourceforge (although the "pim" 
> project is old and never released files.)
> 
> I can't think of a pragmatic approach.  My current inclination is to 
> name the package "pim-tb" and still have the binary just be called 
> "pim", and it could conflict with any future package with also provides 
> /usr/bin/pim.
> 
> Alternately, I could name the binary "/usr/bin/pim_tb", or just try to 
> come up with completely different unique name.
> 
> What's the most pragmatic thing to do?

TUPIM - Tom's Unique PIM

It doesn't turn up on freshmeat or sourceforge, although it also appears
to be a town in Brazil. =-)


	Cheers,

Pasc

-- 
Pascal Hakim
Do Not Bend
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#239523; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tom <40311.nospam@comcast.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #30 received at 239523@bugs.debian.org (full text, mbox):

From: Tom <40311.nospam@comcast.net>
To: Pascal Hakim <pasc@redellipse.net>
Cc: 239523@bugs.debian.org
Subject: Re: Bug#239523: ITP: pim -- Generic record-based data entry for personal databases
Date: Tue, 23 Mar 2004 08:49:53 -0800
On Tue, Mar 23, 2004 at 10:58:10PM +1100, Pascal Hakim wrote:
> On Tue, 2004-03-23 at 20:26, Tom wrote:
> > What's the most pragmatic thing to do?
> 
> TUPIM - Tom's Unique PIM

That's growing on me.  Thanks a million!



Changed Bug title. Request was from Tom Ballard <40311.nospam@comcast.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#239523; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to TB <40311.nospam@comcast.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #37 received at 239523@bugs.debian.org (full text, mbox):

From: TB <40311.nospam@comcast.net>
To: 239523@bugs.debian.org
Subject: changed name from 'pim' to 'tupim'
Date: Thu, 25 Mar 2004 03:46:35 -0800
tupim = Tom's Unique PIM

NEW urls:

http://sourceforge.net/projects/pim-tb
[you can't change the project name at sourceforge, but I released
a new package named 'tupim']

http://freshmeat.net/projects/tupim

Link to download the 1.4.2 files:

https://sourceforge.net/project/shownotes.php?release_id=226173



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#239523; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to William Ballard <40311.nospam@comcast.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #42 received at 239523@bugs.debian.org (full text, mbox):

From: William Ballard <40311.nospam@comcast.net>
To: debian-mentors@lists.debian.org
Cc: 239523@bugs.debian.org
Subject: New Screenshot for my tupim project
Date: Sat, 10 Apr 2004 22:33:35 -0700
I uploaded a more detailed screenshot as an advertisement for what my 
little tupim program can do:

http://osdn.dl.sourceforge.net/sourceforge/pim-tb/tupim-video.png
(Warning: 156K)

It shows a more complicated schema with lots of data, that I'm using to 
keep track of my (fair use) recorded TV show collection.

Notice how recordstrings from lookup tables are in parenthesis, and you 
can have nested lookup recordstrings.  It's a proper MSAccess ripoff!

(Again, for cheesy small 1-user databases).

It would be lovely to have a sponsor!



Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tom <40311.nospam@comcast.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 239523-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 239523-done@bugs.debian.org
Subject: WNPP bug closing
Date: Wed, 21 Sep 2005 15:59:06 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 450 days.
- It hasn't had any activity recently.

As this an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 239523
thanks bts

Further comments on the work done in the bug sent to
239523@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

This is the second massive wnpp closing that is being done. The next close
will be done on inactive ITPs older than 365 days and finally, an automatic
script will close, by default, *inactive* ITPs when they reach one year of
inactivity.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>  Wed, 20 Sep 2005 17:06:42 -0500



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 19:14:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:04:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.